# CreateAccount

Create a customer account.

`POST /blms/webservice/filingassist/customer_account/create.json`

**API:** Registrations and Licenses
**Tag:** Accounts
**API Version:** 1.0.0
**Base URL:** https://www.businesslicenses.com
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/registration-and-licensing/api/registrations-and-licenses-order/methods/Accounts/CreateAccount/

## Description

Create a new customer account that can be referenced in other functions by using the account ID provided in your system or the Avalara customer account ID (BLAccountID) returned in the response.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | No | Specifies the API version to use. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. |
| `X-Correlation-ID` | string | header | No | Use the X-Correlation-ID header to support request correlation. |

## Request Body

**Content-Type:** `application/x-www-form-urlencoded`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Customer account created. |  |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |
| 500 | Internal Server Error |  |

## Example Request

```bash
curl -X POST "https://www.businesslicenses.com/blms/webservice/filingassist/customer_account/create.json" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "key": "558c54a6-4b3a-4796-aax0-d35x0395a03d",
  "account_id": "AC-123",
  "first_name": "John",
  "last_name": "Smith",
  "email": "example@avalara.com",
  "business_name": "Avalara Test, Inc",
  "address1": "1 Main St",
  "address2": "Suite 100",
  "city": "Brooklyn",
  "state": "NY",
  "country": "US",
  "zip": "10001",
  "phone": "555-500-0000"
}'
```